Perl updating inc

by  |  17-Apr-2020 19:20

Installation starts with the following: This is perl 5, version 20, subversion 1 (v5.20.1) built for x86_64-linux Copyright 1987-2014, Larry Wall Perl may be copied only under the terms of either the Artistic License or the GNU General Public License, which may be found in the Perl 5 source kit.

perl updating inc-45

Error follows - please advise as soon as possible - (and no I do not have a current backup as I currently have no space for one.) I also have restarted Webmin and the server several times with no improvement. HTTP/1.0 500 Perl execution failed Server: Mini Serv/1.800 Date: Thu, GMT Content-type: text/html; Charset=iso-8859-1 Connection: close Error - Perl execution failed Can't locate auto/Net/SSLeay/set_tlsext_in @INC (@INC contains: authentic-theme/lib /usr/libexec/webmin /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .

Have been playing around with local::lib and bootstrap a few directories.

@Haron_Prime In my case, I have to rebuild gnomecanvas-perl gnome-vfs-perl gnome-perl perl-gtk2-imageview perl-gtk2-unique perl-goo-canvas to make shutter work.

Most of those packages don't have "export PERL_MM_USE_DEFAULT=1 PERL_USE_UNSAFE_INC=1", so you should add it if you want to rebuild them.

Perl 6 is not intended primarily as a replacement for Perl 5, but as its own thing - and libraries exist to allow you to call Perl 5 code from Perl 6 programs and vice versa. "We're really serious about reinventing everything that needs reinventing." --Larry Wall CPAN is the Comprehensive Perl Archive Network, a large collection of Perl software and documentation.

Community Discussion